Subject: [Shop-talk] Concrete floors and oil stains

From: Thomas Coradeschi <[email-masked]>
Date: Sun, 13 Sep 2020 16:11:58 -0400

All: I’d like to seek some input from y’all on successes (or failures) in cleaning oil stains from a trowel finished concrete garage floor. 

I’ve been down the simple green & pressure washer route, don’t really see any positive results there. I’m not looking for a “like new” outcome; concrete is way too porous for that, but I would like to see better than I have right now. 

Any thoughts?

Thanks. 

Tom Coradeschi
[email-masked]
_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.96
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/shop-talk/[email-masked]